## class DFStore : public DFNode

> data store (DF) node class.

## Inheritance:

### Public Methods

  | DFStore (DFGraph *g)

### Inherited from DFNode:

### Public Methods

Subject::NameErrType SetName(const string *s)

### Inherited from Node:

### Public Methods

bool IsEdge() const
bool InGraph() const
const string* GetIndex() const
virtual Subject::NameErrType SetIndex(const string *s)
void WriteMembers(OutputFile *f)
bool ReadMembers(InputFile *f, double format)
void GetParentIndex(string *pindex)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

virtual Subject* Clone()
bool IsSubject() const
const string* GetName() const
bool SetReferences(AssocList *)
bool CheckReferences()
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
virtual int GetClassType() const
void Write(OutputFile *ofile)

## Documentation

> data store (DF) node class.

`DFStore(DFGraph *g)`

Direct child classes:
  EventStore
  DataStore

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de